Package com.avaya.clientservices.pushnotification

## Class PushNotificationConfiguration

- java.lang.Object
- - com.avaya.clientservices.pushnotification.PushNotificationConfiguration

-     public class PushNotificationConfiguration
      extends java.lang.Object

  Configuration information for Push Notifications.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PushNotificationConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` | A CredentialProvider value representing the object that provides the credentials.
    `PushNotificationActivationMode` | `getPushNotificationActivationMode()` | Returns the push notification activation mode.
    `java.lang.String` | `getPushToken()` | Returns push token available with Client SDK.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Sets the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setPushNotificationActivationMode​(PushNotificationActivationMode pushNotificationActivationMode)` | Sets the push activation mode.
    `void` | `setPushToken​(java.lang.String pushToken)` | Set the push notification network provided application instance token.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushNotificationConfiguration

          public PushNotificationConfiguration()

  - ### Method Detail

    - #### getPushNotificationActivationMode

          public PushNotificationActivationMode getPushNotificationActivationMode()

      Returns the push notification activation mode.
      Returns:
        push notification activation mode.

    - #### setPushNotificationActivationMode

          public void setPushNotificationActivationMode​(PushNotificationActivationMode pushNotificationActivationMode)

      Sets the push activation mode.
      Parameters:
        `pushNotificationActivationMode` - to be set as push activation mode

    - #### getPushToken

          public java.lang.String getPushToken()

      Returns push token available with Client SDK.
      Returns:
        pushToken available with Client SDK.

    - #### setPushToken

          public void setPushToken​(java.lang.String pushToken)

      Set the push notification network provided application instance token.

      A globally unique app-specific device token generated by the Push Notification Service and assigned to this application instance when the Android application registers with the service to receive telephony push notifications. Valid pushToken field must be provided in order to receive normal priority push notification messages from Avaya telephony servers. For Google, this is the Firebase-assigned device registration token.

      Parameters:
        `pushToken` - to be used.

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      A CredentialProvider value representing the object that provides the credentials.
      Returns:
        Credential Provider to be used to get the credentials

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Sets the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - to be used to set the credentials